> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1repositories



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/repositories
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/repositories:
    post:
      tags:
        - repositories
      operationId: create_repository
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRepositoryRequest'
        required: true
      responses:
        '201':
          description: Repository created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRepositoryResponse'
        '400':
          description: Invalid name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '409':
          description: Repository already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateRepositoryRequest:
      type: object
      description: Request body for POST /api/v1/repositories
      required:
        - name
      properties:
        description:
          type:
            - string
            - 'null'
          description: Optional description of the repository
        name:
          type: string
          description: >-
            The name of the repository (alphanumeric, hyphens, underscores,
            dots, 1-64 chars)
    CreateRepositoryResponse:
      type: object
      description: Response body for POST /api/v1/repositories
      required:
        - repo_id
        - name
      properties:
        name:
          type: string
          description: The name of the repository
        repo_id:
          type: string
          format: uuid
          description: The ID of the newly created repository
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````